Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.connection
Class ConnectionProviderFactory

    java.lang.Object
      org.hibernate.connection.ConnectionProviderFactory

    public final class ConnectionProviderFactory

extends Object

Instantiates a connection provider given either `System` properties or a `java.util.Properties` instance. The `ConnectionProviderFactory` first attempts to find a name of a `ConnectionProvider` subclass in the property `hibernate.connection.provider_class`. If missing, heuristics are used to choose either `DriverManagerConnectionProvider`, `DatasourceConnectionProvider`, `C3P0ConnectionProvider` or `DBCPConnectionProvider`.

Author:
  Gavin King
See Also:
  `ConnectionProvider`

Method Summary
`static Properties` | `getConnectionProperties(Properties properties)` Transform JDBC connection properties.
`static ConnectionProvider` | `newConnectionProvider()` Instantiate a `ConnectionProvider` using `System` properties.
`static ConnectionProvider` | `newConnectionProvider(Properties properties)` Instantiate a `ConnectionProvider` using given properties.
`static ConnectionProvider` | `newConnectionProvider(Properties properties, Map connectionProviderInjectionData)` Instantiate a `ConnectionProvider` using given properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newConnectionProvider

    public static ConnectionProvider newConnectionProvider()
                                                    throws HibernateException

  Instantiate a `ConnectionProvider` using `System` properties.

  Returns:
    ConnectionProvider
  Throws:
    `HibernateException`

### newConnectionProvider

    public static ConnectionProvider newConnectionProvider(Properties properties)
                                                    throws HibernateException

  Instantiate a `ConnectionProvider` using given properties. Method newConnectionProvider.

  Parameters:
    `properties` - hibernate `SessionFactory` properties
  Returns:
    ConnectionProvider
  Throws:
    `HibernateException`

### newConnectionProvider

    public static ConnectionProvider newConnectionProvider(Properties properties,
                                                           Map connectionProviderInjectionData)
                                                    throws HibernateException

  Instantiate a `ConnectionProvider` using given properties. Method newConnectionProvider.

  Parameters:
    `properties` - hibernate `SessionFactory` properties
  Returns:
    ConnectionProvider
  Throws:
    `HibernateException`

### getConnectionProperties

    public static Properties getConnectionProperties(Properties properties)

  Transform JDBC connection properties. Passed in the form `hibernate.connection.*` to the format accepted by `DriverManager` by triming the leading "`hibernate.connection`".

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD